from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XChartData(XInterface, Protocol):
    def addChartDataChangeEventListener(self, aListener: XChartDataChangeEventListener) -> None: ...
    def removeChartDataChangeEventListener(self, aListener: XChartDataChangeEventListener) -> None: ...
    def getNotANumber(self) -> float: ...
    def isNotANumber(self, nNumber: float) -> bool: ...
